#!/bin/sh

if ! [ "$(id -u)" = "0" ]; then
    echo "please perform as root, attempting to escalate privileges..."
    exec sudo $(cat /proc/$$/cmdline | sed 's/\x00/ /g')
    exit 1
fi

if cd /etc/ixvd/secrets; then
    git pull
    cd -
fi

git pull

if ! [ "$(cat ./skel/etc/ixvd/version)" = "$(cat /etc/ixvd/version)" ]; then
    echo "WARNING: IXVD SKELETON VERSION CHANGED!"
    echo "WARNING: Manual intervention is required."
    exit 1
fi

./tools/server-setup.sh
./tools/server-docker-compose.sh build --pull
./tools/server-docker-compose.sh pull